# Interface IFieldDescription

## Index

### Properties

- defaultValue
- description
- fieldSourceType
- fieldType
- groupByField
- includeInQuery
- includeInResults
- name
- sortByField
- splitGroupByField
- type

## Properties

### defaultValue

defaultValue: string

- Defined in rest/FieldDescription.ts :20

### description

description: string

- Defined in rest/FieldDescription.ts :16

### fieldSourceType

fieldSourceType: string

- Defined in rest/FieldDescription.ts :29

### fieldType

fieldType: string

- Defined in rest/FieldDescription.ts :25

### groupByField

groupByField: boolean

- Defined in rest/FieldDescription.ts :41

### includeInQuery

includeInQuery: boolean

- Defined in rest/FieldDescription.ts :33

### includeInResults

includeInResults: boolean

- Defined in rest/FieldDescription.ts :37

### name

name: string

- Defined in rest/FieldDescription.ts :12

### sortByField

sortByField: boolean

- Defined in rest/FieldDescription.ts :49

### splitGroupByField

splitGroupByField: boolean

- Defined in rest/FieldDescription.ts :45

### type

type: string

- Defined in rest/FieldDescription.ts :8

### Hierarchy

- IFieldDescription